<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="../css/styles.css">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <title>Update Product Item</title>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light our-grey">
      <button type="button" class="btn btn-lg" data-toggle="popover" data-content="Music Store for all ages">MusicStore</button>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
       <span class="navbar-toggler-icon"></span>
      </button>
      
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item active">
            <a class="nav-link" href='./../home-main.html'>Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="./stockItems.html">Product List <span class="sr-only">(current)</span></a>
          </li>
          <li class="nav-item" id="new-item-nav-item" >
            <a class="nav-link" href='./new-product.html'>Add New Item</a>
          </li>
          <li class="nav-item" id="new-item-nav-item" >
            <a class="nav-link" href='./update-product.html'>Update Item</a>
          </li>
          <li class="nav-item" id="new-item-nav-item" >
            <a class="nav-link" href='./delete-product.html'>Delete Item</a>
          </li>
          <li class="nav-item" id="login-nav-item">
            <a class="nav-link" href='./../loginForm.html'>Log In</a>
          </li>
          <li class="nav-item" id="log-out-nav-item" hidden>
            <a class="nav-link">Log Out</a>
          </li>
        </ul>
        <form class="form-inline my-2 my-lg-0">
          <input class="form-control mr-sm-2" type="search" aria-label="Search">
          <button class="btn btn-outline-dark my-2 my-sm-0" type="submit">Search</button>
        </form>
      </div>
    </nav>
    <div class="container pt-2">
    <h1>Update a New Music Product Item</h1></br>
    
			<!--Section: Best Features--> 
      <section id="product-list" class="text-center">

        <!-- Heading -->
        <h2 class="mb-1 font-weight-bold">Music Store Customer Update List</h2>
                  
        <table id="product-item-table" class="table" hidden >
        </br>
          <caption>our Music Store Update List</caption>
          <thead>
            <tr>
              <th scope="col">Product Id</th>
              <th scope="col">Product Name</th>
              <th scope="col">Stock</th>
              <th scope="col">Price</th>
              <th scope="col">Section</th>
          </tr>
        </thead>
        <tbody id="product-table-body">
        </tbody>

        </table>
      </section>
    <h1>Update Product List</h1></br>
		<!--Section: Best Features-->
			<main id="MusicStore-item">
          <form id="update-product-item-form">
            <p> 
              <label for="inputId"  data-icon="Product Id"> Product Id</label>
              <input id="inputId" class="form-control" type="text" name="Product Id"  required="required" placeholder="product Id" disabled>
            </p>
              <p> 
                <label for="inputProduct"  data-icon="Product Name"> Product Item Name</label>
                <input id="inputProduct" class="form-control" type="text" name="Product Name"  required="required" placeholder="Product Name">
              </p>                 
              <p> 
                <label for="inputStock" >Number of items in Stock </label>
                <input id="inputStock" class="form-control" required="required" type="text" placeholder="Stock"> 
              </p>
              <p> 
                <label for="inputPrice"> Unit Price</label>
                <input id="inputPrice"  class="form-control" type="text"  required="required" placeholder="Price">
              </p>
              <p> 
                <label for="inputSection" >Section </label>
                <input id="inputSection"  class="form-control" type="text" required="required"  placeholder="Depart"> 
              </p>

            <button class="btn btn-primary" type="submit">Update Product</button>
            <div id="create-msg" hidden></div>
            <!---------------------------------------------------->
        </form>
			</main>
    </div>
</body>
<script>
    $(function () {
        $('[data-toggle="popover"]').popover()
        })
</script>
<script src="../nav-items.js"></script>
<script src="product-update-request-fetch.js"></script>
<script src="update-product.js"></script>
<script src="../server-requests.js"></script>
</html>
